org.apache.maven.scm.provider.svn.svnexe.command.update

## Class SvnUpdateConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer
  - - org.apache.maven.scm.provider.svn.svnexe.command.update.SvnUpdateConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SvnUpdateConsumer
    extends AbstractFileCheckingConsumer

Version:
  $Id: SvnUpdateConsumer.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Trygve Laugstøl

### Field Summary

### Fields inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

`logger, revision, workingDirectory`

### Constructor Summary

Constructors
Constructor and Description
`SvnUpdateConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

Methods
`List` `getUpdatedFiles()`
`protected void` `parseLine(String line)`

### Methods inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

`addFile, consumeLine, getFiles, getRevision, parseInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnUpdateConsumer

    public SvnUpdateConsumer(ScmLogger logger,
                     File workingDirectory)

### Method Detail

#### parseLine

    protected void parseLine(String line)

Specified by:
  `parseLine` in class `AbstractFileCheckingConsumer`

#### getUpdatedFiles

    public List getUpdatedFiles()